#!/bin/sh

frame_file="$1"
project_id="$2"
scene_title="$3"
project_title="$4"

if [ -n "$KINO_HOME" ] && [ -f "$KINO_HOME"/publish/frame.sh ]; then
	. "$KINO_HOME"/publish/frame.sh "$frame_file" "$project_id" "$scene_title" "$project_title"
elif [ -f "$HOME"/kino/publish/frame.sh ]; then
	. "$HOME"/kino/publish/frame.sh "$frame_file" "$project_id" "$scene_title" "$project_title"
else
	echo "\$datadir/kino/scripts/publish/frame.sh frame_file=\"$frame_file\" project_id=\"$project_id\" scene_title=\"$scene_title\" project_title=\"$project_title\"" 
fi
